from maps_adv.export.lib.pipeline.param import Param
from maps_adv.export.lib.pipeline.resolver import search_tags_resolver


class SearchTagsStep:
    def __init__(self, tags: Param):
        self._tags = tags

    async def __call__(self, campaigns):
        self._tags.value = await search_tags_resolver(campaigns)
